Acquirer Transactions
Refund Transaction
PUT
https://api.druo.com/transactions/refundRefunds a transaction.
Initiates a refund for a previously processed transaction. This endpoint requires Bearer Token authentication to authorize access to the protected transaction resource.
Request body
An idempotency key created to enable safe retries of operations.
The unique token identifier for the payment source.
The unique identifier (UUID) of the transaction to be refunded.
Response
The unique identifier (UUID) of the refund transaction.
Example:
trx_422f0f81-5001-4cce-a229-242d9ab9960aThe current status of the transaction.
Possible values:
PROCESSINGSUCCESSFULFAILEDCANCELEDExample:
SUCCESSFULThe reason why the transaction was declined, if applicable.
Example:
INSUFFICCIENT_FUNDS
